#include <QApplication>
#include <QMainWindow>
#include <QLabel>
#include <QDebug>
#include "mydialog.h"


class MainWindow : public QMainWindow
{
public:
    MainWindow(QWidget *parent = 0)
        : QMainWindow(parent)
    {
        setMinimumSize(300,300);
        setCentralWidget(new QLabel("Mainwindow"));

        pChildDialog = new MyDialog(this);
        pChildDialog->show();
    }

    ~MainWindow()
    {}

    QDialog* pChildDialog;
};

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    MainWindow w;
    w.show();

    return a.exec();
}
