#include "mydialog.h"
#include <QMenu>
#include <QTimer>
#include <QDebug>

MyDialog::MyDialog(QWidget *parent) :
    QDialog(parent)
{
    setMinimumSize(150,150);
}

void MyDialog::mouseReleaseEvent(QMouseEvent *event)
{
    if (event->button() == Qt::RightButton)
    {
        QMenu *menu = new QMenu(this);
        menu->addAction("Hello, world!");
        //Workaround
        //connect(menu, SIGNAL(aboutToHide()), this, SLOT(delayedActivate()));
        menu->exec(mapToGlobal(event->pos()));
    }
}

void MyDialog::delayedActivate()
{
    QTimer::singleShot(0, this, SLOT(activate()));
}

void MyDialog::activate()
{
    activateWindow();
}
